# Dire cosa stampa a video il seguente programma assembler,
# qualora vengano fornite in ingresso le due cifre meno 
# significative del proprio numero di matricola.

_main:  CALL  inbyte
        AND   $0x0F, %AL
        OR    $0x30, %AL
        CALL  output       
        SHR   $1, %AL
        JC    lab        
        JMP   fine
lab:    MOV   $'D', %AL        
        CALL  output
fine:   RET

.INCLUDE "utility"


# PROMEMORIA
#
# CALL inbyte:  legge da tastiera due caratteri (purche' compresi fra '0' e '9' oppure fra 'A' e 'F'),
#               li interpreta come cifre esadecimali e li utilizza per inizializzare AL
#               Esempio: qualora venissero inseriti '4' e 'B' in %AL ci finirebbe 0100-1011 (0x4B).
# AND SRC,DST:  calcola l'AND logico bit a bit fra SRC e DST e mette il risultato in DST
# OR SRC,DST:   calcola l'OR logico bit a bit fra SRC e DST e mette il risultato in DST
# CALL output:  stampa a video il carattere ASCII la cui codifica si trova in AL.
#               Esempio: qualora in AL si trovasse 0011-0101 stamperebbe a video il carattere '5'.
# SHR $1, REG:  effettua lo shift a destra del contenuto del registro REG di 1 posto.
#               Il bit meno significativo finisce nel carry flag. Da sinistra entra un bit a zero.                      
# JC label:     Salta a 'label' solo se il carry flag vale 1.
# JMP label:    Salta a 'label', sempre.
