# Dire cosa stampa a video il seguente programma assembler,
# qualora vengano fornite in ingresso le due cifre meno 
# significative del proprio numero di matricola.

_main:  CALL  inbyte
        AND   $0x1F,%AL
        OR    $0x10,%AL
        CALL  outbyte
        MOV   $5,%AH
        CALL  s1
        MOV   %BL,%AL        
        CALL  outbyte
        RET

s1:     MOV   $0, %BL
lab:    SUB   %AH,%AL
        JC    ends1
        INC   %BL
        JMP   lab
ends1:  RET

.INCLUDE "utility"

# CALL output:  stampa a video il carattere ASCII la cui codifica si trova in AL.
#               Esempio: qualora in AL si trovasse 0011-0101 stamperebbe a video il carattere '5'.
# SHR $1, REG:  effettua lo shift a destra del contenuto del registro REG di 1 posto.
#               Il bit meno significativo finisce nel carry flag. Da destra entra un bit a zero.                      
# JC label:     Salta a 'label' solo se il carry flag vale 1.
# JMP label:    Salta a 'label', sempre.
