# Dire cosa stampa a video il seguente programma assembler.

str:    .ASCII  "Tre"

_main:  MOV   $'a', %DH
	      SUB   $'A', %DH
        MOV   %DH, %AL
        CALL  outbyte
        MOV   $2,%DL
        MOV   $str, %EBX
        MOV   (%EBX), %AL
        CALL  output
lab:    INC   %EBX
        MOV   (%EBX), %CL
        SUB   %DH, %CL
        MOV   %CL, %AL
        CALL  output
        DEC   %DL        
        JNZ   lab
fine:   RET

.INCLUDE "utility"

# PROMEMORIA

# CALL outbyte: stampa a video la coppia di caratteri ascii associati alla parte alta e bassa del 
#               naturale contenuto nei 4 bit piu' significativi e meno significativi di AL.
#               Esempio: qualora in AL vi fosse 0011-0101 stamperebbe a video i caratteri "35"
#
# CALL output:  stampa a video il carattere ASCII la cui codifica si trova in AL.
#               Esempio: qualora in AL si trovasse 0011-0101 stamperebbe a video il carattere '5'
#
# JNZ lab:      Salta alla label specificata tutte le volte che il risultato dell'ultima operazione
#               e' diverso da zero
#
# SUB srg,dest  Aggiorna il contenuto del registro destinazione con la differenza fra il suo 
#               contenuto precedente ed il contenuto del registro sorgente.


