# Dire cosa stampa a video il seguente programma assembler,
# qualora vengano fornite in ingresso le due cifre meno 
# significative del proprio numero di matricola.

_main:  CALL  input
        MOV   %AL,%BL
        CALL  input
        MOV   %AL,%CL        
        AND   %BL,%AL
        NOT   %AL        
        CALL  outbyte
        NOT   %BL
        NOT   %CL
        MOV   %BL,%AL
        OR    %CL,%AL
        CALL  outbyte       
        RET

.INCLUDE "utility"

# PROMEMORIA
# CALL input:   legge un carattere da tastiera e mette la relativa codifica ASCII in %AL
                Esempio: se viene inserito '0' in %AL ci finisce 0011-0000 (0x30),
                mentre se viene inserito '9' in %AL ci finisce 0011-1001 (0x39)
# AND SRC,DST:  calcola l'AND logico bit a bit fra SRC e DST e mette il risultato in DST
# NOT REG:      nega ogni bit del registro REG e mette il risultato in REG
# OR SRC,DST:   calcola l'OR logico bit a bit fra SRC e DST e mette il risultato in DST
# CALL outbyte: stampa a video le due cifre esadecimali corrispondenti al contenuto di AL
                Esempio: se in AL si trova 1010-0100 stampera' a video "A4".