Siano X e Y la terzultima e l'ultima cifra del proprio numero
di matricola.
Il programma prima mette a 0 i 4 bit più significativi di %AL,
grazie all'AND con l'esadecimale 0x0F (0000-1111), lasciando
inalterati gli altri. Dunque a questo punto in AL c'è
la cifra meno significativa del proprio numero di matricola 
(e pertanto la CALL output mostrerà a video "0Y").

Successivamente il programma stabilisce se Y è una potenza
di 2 (nel qual caso stamperà 'S') oppure no (nel qual caso
stamperà 'N').

Questo deriva dal fatto che un numero potenza di due,
una volta rappresentato in binario, avrà un solo bit ad uno
e tutti gli altri a zero.

La seconda parte del programma assembler infatti non
fa altro che contare il numero di bit ad uno.
Ogni volta che ne viene incontrato uno, viene incrementato
il contatore AH (che era stato precedentemente inizializzato a zero).

Se alla fine AH==1 il numero era una potenza di due (=> 'Y'),
altrimenti non lo era (=> 'N').


Riassumendo, nel caso di ingresso XY, l'uscita sarà:

input X0 uscita "00N" (infatti, 0 NON è una potenza di 2)
input X1 uscita "01S" (infatti, 1 è una potenza di 2:2^0)
input X2 uscita "02S" (infatti, 2 è una potenza di 2:2^1)
input X3 uscita "03N" (infatti, 3 NON è una potenza di 2)
input X4 uscita "04S" (infatti, 4 è una potenza di 2:2^2)
input X5 uscita "05N" (infatti, 5 NON è una potenza di 2)
input X6 uscita "06N" (infatti, 6 NON è una potenza di 2)
input X7 uscita "07N" (infatti, 7 NON è una potenza di 2)
input X8 uscita "08S" (infatti, 8 è una potenza di 2:2^3)
input X9 uscita "09N" (infatti, 9 NON è una potenza di 2)
